Subject: [core] Fwd: New Version Notification for draft-ietf-core-coap-02

From: Zach Shelby <[email-masked]>
Date: Mon, 27 Sep 2010 14:13:45 +0300

http://www.ietf.org/id/draft-ietf-core-coap-02.txt

I submitted a new version of CoAP so that we can discuss the work needed to complete the security section (Ticket #22) during the interim meeting this week. Just to make security guys nervous, I wrote some placeholder text ;-) This definitely needs to be improved, but at least it is a start. I would like to reserve 15 minutes in the meeting to discuss the security section. 

As agreed in the last meeting the resource discovery section was removed, and I will soon be submitting a separate CoRE Link Format draft. The link format draft will include minor changes compared to -01, e.g. the registration of /.well-known/core and quotes around string values. 

This version of the draft otherwise closes all the tickets we had planned for the -02 release. In practice coap-01 implementations should still be compatible with coap-02 as there were no header changes. Do note that the Uri-Scheme option was removed and Uri-Authority processing has been clarified. Here is a summary of the main changes:

   Changes from ietf-01 to ietf-02:

      o Sending an error on a critical option clarified (#18).

      o Clarification on behavior of PUT and idempotent operations
      (#19).

      o Use of Uri-Authority clarified along with server processing
      rules.  Uri-Scheme option removed. (#20, #23)

      o Resource discovery section removed to a separate CoRE Link
      Format draft (#21)

      o Initial security section outline added.

Regards,
Zach 

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: September 27, 2010 2:03:48 PM GMT+03:00
> To: [email-masked]
> Cc: [email-masked],[email-masked]
> Subject: New Version Notification for draft-ietf-core-coap-02 
> 
> 
> A new version of I-D, draft-ietf-core-coap-02.txt has been successfully submitted by Zach Shelby and posted to the IETF repository.
> 
> Filename:	 draft-ietf-core-coap
> Revision:	 02
> Title:		 Constrained Application Protocol (CoAP)
> Creation_date:	 2010-09-27
> WG ID:		 core
> Number_of_pages: 35
> 
> Abstract:
> This document specifies the Constrained Application Protocol (CoAP),
> a specialized web transfer protocol for use with constrained networks
> and nodes for machine-to-machine applications such as smart energy
> and building automation.  These constrained nodes often have 8-bit
> microcontrollers with small amounts of ROM and RAM, while networks
> such as 6LoWPAN often have high packet error rates and a typical
> throughput of 10s of kbit/s.  CoAP provides a method/response
> interaction model between application end-points, supports built-in
> resource discovery, and includes key web concepts such as URIs and
> content-types.  CoAP easily translates to HTTP for integration with
> the web while meeting specialized requirements such as multicast
> support, very low overhead and simplicity for constrained
> environments.
> 
> 
> 
> The IETF Secretariat.
> 
> 

-- 
Zach Shelby, Chief Nerd, Sensinode Ltd.
http://zachshelby.org  - My blog "On the Internet of Things"
http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
Mobile: +358 40 7796297